p {
    padding: 0;
    margin: 0;
}

body {
    font-family: "Chivo Mono", monospace;
}

.main-layout {
  display: flex;
  gap: 20px;
  margin: 20px;
  align-items: center;

  height: 100vh;
}

.timeline-container {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.year-btn {

  background: #ffffff;
  width: 220px;
  display: flex;

  border: solid 2px #000000;
  padding: 12px;


  transition:
    left 0.3s,
    width 0.3s,
    height 2.0s;
}

.year-btn:hover {
}

.year-btn.active {
  background-color: #dbec41;;
}
.year-btn.active .btn-title {
  color: #070706;
  font-weight: 600;
}
.year-btn.active .btn-sub {
  color: #000000;
}


.btn-title {
    font-family: "Chivo Mono", monospace;
    font-size: 28px;
    font-weight: 600;
    color: #000000;
}

.btn-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.btn-sub {
  font-size: 14px;
  word-spacing: -5px;
}

.roster.a_window {
  display: flex;
  flex-direction: column;
  border: solid 2px #000;
  padding: 20px;
}

#roster {
  width: 900px;
}

.roster-row {
  display: grid;
  grid-template-columns: 60px 2fr 3fr 2fr;
  gap: 10px;
  padding: 6px 0;
  align-items: center;
  border-bottom: 1px solid #ddd;
}

.col {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}



.image-wrapper {
  position: relative;
  display: inline-block;
  max-width: 800px;
}

.image-wrapper img {
  width: 100%;
  display: block;
}

.image-map {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.image-map rect {
  fill: transparent;
  cursor: pointer;
}

.image-map rect.active {
  fill: rgba(255, 255, 255, 0.315);

  stroke: #00ffff; /* or use team color later */
  stroke-width: 2.5;


}

.roster-row.active {
  background: rgba(255, 0, 0, 0.1);
}

